Установите плагин Felimage для GIMP

Я следую учебному пособию, и на моем этапе требуется применить фильтр " Felimage ". Однако я не могу установить его. Запуск ./configure говорит, что я не отвечаю требованию версии GIMP:

configure: error: Package requirements (gimp-2.0 >= 2.2.0 gimpui-2.0 >= 2.2.0) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively you may set the GIMP_CFLAGS and GIMP_LIBS environment variables
to avoid the need to call pkg-config.  See the pkg-config man page for
more details.

Однако, если я запускаю gimp --version, я получаю вывод

GNU Image Manipulation Program version 2.8.10

Я пытался установить GIMP реестр плагинов, но ничего полезного там нет.

Как я могу установить Felimage на Ubuntu 13.10?

** Редактировать **

От автора, Гильермо:

Я вижу, попробуйте установить libgimp2 .0-dev (и libglib2.0-dev, если его там еще нет), и дайте мне знать, если это не решит проблему.

Таким образом, sudo apt-get install libgimp2.0-dev libglib2.0-dev позже и ./configure работает.

Однако, make не делает и терпит неудачу с

gcc  -g -O2 -Wall   -o felimage-noise  basis.o cell_3d.o cell_4d.o cell_5d.o interface.o lnoise_3d.o lnoise_4d.o lnoise_5d.o loadconf.o main.o poisson.o random.o render.o saveconf.o snoise_3d.o snoise_4d.o snoise_5d.o -lgimpui-2.0 -lgimpwidgets-2.0 -lgimpmodule-2.0 -lgimp-2.0 -lgimpmath-2.0 -lgimpconfig-2.0 -lgimpcolor-2.0 -lgimpbase-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0   
/usr/bin/ld: lnoise_3d.o: undefined reference to symbol 'floor@@GLIBC_2.2.5'
/lib/x86_64-linux-gnu/libm.so.6: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
make[2]: *** [felimage-noise] Error 1

2
задан 06.05.2020, 00:46

2 ответа

Вам нужно добавить -lm в командную строку.

cd src    
gcc  -g -O2 -Wall   -o felimage-noise  basis.o cell_3d.o cell_4d.o cell_5d.o \
 interface.o lnoise_3d.o lnoise_4d.o lnoise_5d.o loadconf.o main.o poisson.o random.o \
 render.o saveconf.o snoise_3d.o snoise_4d.o snoise_5d.o -lgimpui-2.0 -lgimpwidgets-2.0 \
-lgimpmodule-2.0 -lgimp-2.0 -lgimpmath-2.0 -lgimpconfig-2.0 -lgimpcolor-2.0 \
-lgimpbase-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 \
-lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig \
-lgobject-2.0 -lglib-2.0   -lm 
cd ..

sudo make install

0
ответ дан 06.05.2020, 00:46

Вы также можете отредактировать / src / Makefile, добавив -lm в строку, где находятся библиотеки. Я сделал это с некоторыми другими плагинами, и это сработало как шарм.

0
ответ дан 06.05.2020, 00:46

Теги

Похожие вопросы